Optional networks integration

Mopub

Mopub SDK version: 5.8.0

Add gradle maven dependendency:

repositories {
    // ... other project repositories

    // Moat MoPub repository
    maven {
        url "https://s3.amazonaws.com/moat-sdk-builds"
        // https://github.com/mopub/mopub-android-sdk/issues/341#issuecomment-521563460
        content {
            includeGroupByRegex "com\\.moat.*"
        }
    }
}

dependencies {
    // ... other project dependencies

    // Appodeal SDK dependency
    implementation 'com.appodeal.ads:sdk:2.6.0.0'

    // MoPub network dependency   
    implementation 'com.appodeal.ads.sdk.networks:mopub:2.6.0.1'
}

Flurry

Flurry SDK version: 11.6.0

Add gradle maven dependendency:

dependencies {
    // ... other project dependencies

    // Appodeal SDK dependency
    implementation 'com.appodeal.ads:sdk:2.6.0.0'

    // Flurry network dependency   
    implementation 'com.appodeal.ads.sdk.networks:flurry:2.6.0.1'
}